package com.securitycontrol.screen.service;

import com.securitycontrol.common.core.web.domain.AjaxResult;
import com.securitycontrol.entity.screen.dto.ScreenParamDto;

/**
 * S施工现场大屏
 * @author 黑子
 */
public interface XcIndexService {
    /**
     * 查询项目简介
     * @param dto
     * @return
     */
    AjaxResult getProDetails(ScreenParamDto dto);

    /**
     * 查询实施环境检测数据
     * @param dto
     * @return
     */
    AjaxResult getProJcData(ScreenParamDto dto);

    /**
     * 查询项目风险数据
     * @param dto
     * @return
     */
    AjaxResult getProRisk(ScreenParamDto dto);

    /**
     * 查询工程项目进度
     * @param dto
     * @return
     */
    AjaxResult getProcess(ScreenParamDto dto);

    /**
     * 查询工程项目成本
     * @param dto
     * @return
     */
    AjaxResult getProMoney(ScreenParamDto dto);
}
